Plusieurs niveaux d’intertitres

Pour utiliser ce patch, il vous suffit d’installer le fichier inc_texte.php3 fourni en annexe à la place du fichier du même nom se trouvant dans le répertoire ecrire/.

Les nouveaux raccourcis sont les suivants :

{1{ Ouverture d’un intertitre de 1er niveau (synonyme de {{{)
}1} Fermeture d’un intertitre de 1er niveau (synonyme de }}})
{2{ Ouverture d’un intertitre de 2ème niveau
}2} Fermeture d’un intertitre de 2ème niveau
{3{ Ouverture d’un intertitre de 3ème niveau
}3} Fermeture d’un intertitre de 3ème niveau

Par défaut, le présent patch remplace respectivement ces raccourcis par des <h3>, <h4> et <h5> ouvrants et fermants (que vous pouvez mettre en forme à votre guise en CSS). Vous pouvez modifiez ces valeurs en configurant les variables de personnalisation [1] suivantes dans votre fichier mes_fonctions.php3.? Par exemple :

Nota Bene : L’utilisation de ce patch implique de toucher à l’un des fichiers les plus vitaux de SPIP. Soyez donc prudents en l’utilisant. N’utilisez ce patch que sur un version 1.7 (ni une version antérieure ni une version postérieure). Si un problème survient, il vous suffit de remettre en place le fichier inc_texte.php3 de la distribution officielle.

Si des gens accrochent à cette contrib et qu’ils ont envie de poursuivre, ce serait bien de modifier la barre d’outils pour qu’elle intègre ces nouveaux raccourcis (perso, moi et le JS, ça colle pas).

[1Pour les variables de personnalisation, voir http://www.spip.net/fr_article1825.html.

Mise à jour de cette page : vendredi 23 janvier 2004
xhtml valide | dernière mise à jour du site : 12 avril 2018 | administration